# string.c File Reference

`#include <psptypes.h>`
`#include <limits.h>`
`#include <string.h>`
`#include <malloc.h>`

Include dependency graph for string.c:

## Data Structures

struct | charmap_t

## Functions

int | isalnum (int)
int | isalpha (int)
int | iscntrl (int)
int | isdigit (int)
int | isgraph (int)
int | islower (int)
int | isprint (int)
int | ispunct (int)
int | isspace (int)
int | isupper (int)
int | isxdigit (int)
int | tolower (int)
int | toupper (int)
unsigned char | isSpecialSJIS (short sjis)
short | isSpecialASCII (unsigned char ascii)

## Variables

charmap_t * | sjis_conversion

## Function Documentation

int isalnum | ( | int |  | ) |

int isalpha | ( | int |  | ) |

int iscntrl | ( | int |  | ) |

int isdigit | ( | int |  | ) |

int isgraph | ( | int |  | ) |

int islower | ( | int |  | ) |

int isprint | ( | int |  | ) |

int ispunct | ( | int |  | ) |

int isspace | ( | int |  | ) |

short isSpecialASCII | ( | unsigned char | ascii | ) |

unsigned char isSpecialSJIS | ( | short | sjis | ) |

int isupper | ( | int |  | ) |

int isxdigit | ( | int |  | ) |

int tolower | ( | int |  | ) |

int toupper | ( | int |  | ) |

## Variable Documentation

struct charmap_t* sjis_conversion